import { Observable } from 'rxjs';
import { QMSCKEditorTemplate } from '../models/qms-ckeditor-template.model';
import { QMSCKEditorBaseService } from './qms-ckeditor-base.service';
import * as i0 from "@angular/core";
export declare class QMSCKEditorTemplateService extends QMSCKEditorBaseService {
    deleteTemplate(ids: number[]): Observable<boolean>;
    getTemplate(): Observable<QMSCKEditorTemplate[]>;
    modifyTemplate(template: QMSCKEditorTemplate): Observable<boolean>;
    getImageIdByExtraId(extraId: string): Observable<number>;
    static ɵfac: i0.ɵɵFactoryDeclaration<QMSCKEditorTemplateService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<QMSCKEditorTemplateService>;
}
